> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Jira Settings



## OpenAPI

````yaml /api-reference/openapi.json post /api/integrations/jira/test
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/integrations/jira/test:
    post:
      tags:
        - integrations
      summary: Test Jira Settings
      operationId: test_jira_settings_api_integrations_jira_test_post
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/JiraIntegrationUpdate'
                - type: 'null'
              title: Payload
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: Response Test Jira Settings Api Integrations Jira Test Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    JiraIntegrationUpdate:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        site_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Site Url
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Email
        api_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Token
        clear_api_token:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Clear Api Token
        project_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Key
        issue_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Type
        labels:
          anyOf:
            - {}
            - type: 'null'
          title: Labels
        default_assignee:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Assignee
        create_issues:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Create Issues
        update_issues_on_resolve:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Update Issues On Resolve
        sync_status_from_jira:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sync Status From Jira
        sync_comments_from_jira:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sync Comments From Jira
        webhook_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Secret
        clear_webhook_secret:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Clear Webhook Secret
      type: object
      title: JiraIntegrationUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````